Critical Security Updates Available for Adobe Reader and Acrobat

September 16, 2014 | By Kevin Judge

Adobe has released security updates for Adobe Reader and Acrobat for Windows and Macintosh. These updates address vulnerabilities that could potentially allow an attacker to take over the affected system.

Adobe asserts that they know of no cases of the vulnerability being exploited. However, it considers the fix critical. Adobe users can activate automatic updates by selecting ‘Check for Updates’ in the Help Menu .

Adobe recommends users update their product installations to the latest versions:

  • Users of Adobe Reader XI (11.0.08) and earlier versions should update to version 11.0.09.
  • For users of Adobe Reader X (10.1.11) and earlier versions who cannot update to version 11.0.09, Adobe has made available version 10.1.12.
  • Users of Adobe Acrobat XI (11.0.08) and earlier versions should update to version 11.0.09.
  • For users of Adobe Acrobat X (10.1.11) and earlier versions, who cannot update to version 11.0.09, Adobe has made available version 10.1.12.
Be Sociable, Share!

    Add new comment

    Your name
    Comment

    You may use these HTML tags and attributes: <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>